import { DeleteMessageParams, GetNotificationsParams, GetNotificationsReturnData, MarkAllMessagesParams, MarkMessageParams, MarkMessageReturnData, InitializeSessionParams, InitializeSessionReturnData, UnseenCountParams } from './types';
export declare const initializeSession: ({ baseUrl, body, sessionId }: InitializeSessionParams) => Promise<InitializeSessionReturnData>;
export declare const getUnseenCount: ({ baseUrl, token, }: UnseenCountParams) => Promise<number>;
export declare const deleteMessage: ({ baseUrl, token, messageId, }: DeleteMessageParams) => Promise<boolean>;
export declare const markAsRead: ({ baseUrl, body, token, unread, }: MarkMessageParams) => Promise<MarkMessageReturnData>;
export declare const getNotifications: ({ baseUrl, page, token }: GetNotificationsParams) => Promise<GetNotificationsReturnData>;
export declare const markAllAsRead: ({ baseUrl, token, }: MarkAllMessagesParams) => Promise<boolean>;
